Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network91.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
91.167.0.0
Broadcast address
91.167.127.255
First usable
91.167.0.1
Last usable
91.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 5BA70000 · Integer 1537671168 to 1537703935
Reverse DNS zones
0.167.91.in-addr.arpa
1.167.91.in-addr.arpa
2.167.91.in-addr.arpa
3.167.91.in-addr.arpa
4.167.91.in-addr.arpa
5.167.91.in-addr.arpa
6.167.91.in-addr.arpa
7.167.91.in-addr.arpa
8.167.91.in-addr.arpa
9.167.91.in-addr.arpa
10.167.91.in-addr.arpa
11.167.91.in-addr.arpa
12.167.91.in-addr.arpa
13.167.91.in-addr.arpa
14.167.91.in-addr.arpa
15.167.91.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011011.10100111.00000000.0000000091.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01011011.10100111.00000000.0000000091.167.0.0
Broadcast01011011.10100111.01111111.1111111191.167.127.255
Split into smaller subnets/25

91.167.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
191.167.0.0/2591.167.0.1 to 91.167.0.12691.167.0.127126
291.167.0.128/2591.167.0.129 to 91.167.0.25491.167.0.255126
391.167.1.0/2591.167.1.1 to 91.167.1.12691.167.1.127126
491.167.1.128/2591.167.1.129 to 91.167.1.25491.167.1.255126
591.167.2.0/2591.167.2.1 to 91.167.2.12691.167.2.127126
691.167.2.128/2591.167.2.129 to 91.167.2.25491.167.2.255126
791.167.3.0/2591.167.3.1 to 91.167.3.12691.167.3.127126
891.167.3.128/2591.167.3.129 to 91.167.3.25491.167.3.255126
991.167.4.0/2591.167.4.1 to 91.167.4.12691.167.4.127126
1091.167.4.128/2591.167.4.129 to 91.167.4.25491.167.4.255126
1191.167.5.0/2591.167.5.1 to 91.167.5.12691.167.5.127126
1291.167.5.128/2591.167.5.129 to 91.167.5.25491.167.5.255126
1391.167.6.0/2591.167.6.1 to 91.167.6.12691.167.6.127126
1491.167.6.128/2591.167.6.129 to 91.167.6.25491.167.6.255126
1591.167.7.0/2591.167.7.1 to 91.167.7.12691.167.7.127126
1691.167.7.128/2591.167.7.129 to 91.167.7.25491.167.7.255126
1791.167.8.0/2591.167.8.1 to 91.167.8.12691.167.8.127126
1891.167.8.128/2591.167.8.129 to 91.167.8.25491.167.8.255126
1991.167.9.0/2591.167.9.1 to 91.167.9.12691.167.9.127126
2091.167.9.128/2591.167.9.129 to 91.167.9.25491.167.9.255126
2191.167.10.0/2591.167.10.1 to 91.167.10.12691.167.10.127126
2291.167.10.128/2591.167.10.129 to 91.167.10.25491.167.10.255126
2391.167.11.0/2591.167.11.1 to 91.167.11.12691.167.11.127126
2491.167.11.128/2591.167.11.129 to 91.167.11.25491.167.11.255126
2591.167.12.0/2591.167.12.1 to 91.167.12.12691.167.12.127126
2691.167.12.128/2591.167.12.129 to 91.167.12.25491.167.12.255126
2791.167.13.0/2591.167.13.1 to 91.167.13.12691.167.13.127126
2891.167.13.128/2591.167.13.129 to 91.167.13.25491.167.13.255126
2991.167.14.0/2591.167.14.1 to 91.167.14.12691.167.14.127126
3091.167.14.128/2591.167.14.129 to 91.167.14.25491.167.14.255126
3191.167.15.0/2591.167.15.1 to 91.167.15.12691.167.15.127126
3291.167.15.128/2591.167.15.129 to 91.167.15.25491.167.15.255126
3391.167.16.0/2591.167.16.1 to 91.167.16.12691.167.16.127126
3491.167.16.128/2591.167.16.129 to 91.167.16.25491.167.16.255126
3591.167.17.0/2591.167.17.1 to 91.167.17.12691.167.17.127126
3691.167.17.128/2591.167.17.129 to 91.167.17.25491.167.17.255126
3791.167.18.0/2591.167.18.1 to 91.167.18.12691.167.18.127126
3891.167.18.128/2591.167.18.129 to 91.167.18.25491.167.18.255126
3991.167.19.0/2591.167.19.1 to 91.167.19.12691.167.19.127126
4091.167.19.128/2591.167.19.129 to 91.167.19.25491.167.19.255126
4191.167.20.0/2591.167.20.1 to 91.167.20.12691.167.20.127126
4291.167.20.128/2591.167.20.129 to 91.167.20.25491.167.20.255126
4391.167.21.0/2591.167.21.1 to 91.167.21.12691.167.21.127126
4491.167.21.128/2591.167.21.129 to 91.167.21.25491.167.21.255126
4591.167.22.0/2591.167.22.1 to 91.167.22.12691.167.22.127126
4691.167.22.128/2591.167.22.129 to 91.167.22.25491.167.22.255126
4791.167.23.0/2591.167.23.1 to 91.167.23.12691.167.23.127126
4891.167.23.128/2591.167.23.129 to 91.167.23.25491.167.23.255126
4991.167.24.0/2591.167.24.1 to 91.167.24.12691.167.24.127126
5091.167.24.128/2591.167.24.129 to 91.167.24.25491.167.24.255126
5191.167.25.0/2591.167.25.1 to 91.167.25.12691.167.25.127126
5291.167.25.128/2591.167.25.129 to 91.167.25.25491.167.25.255126
5391.167.26.0/2591.167.26.1 to 91.167.26.12691.167.26.127126
5491.167.26.128/2591.167.26.129 to 91.167.26.25491.167.26.255126
5591.167.27.0/2591.167.27.1 to 91.167.27.12691.167.27.127126
5691.167.27.128/2591.167.27.129 to 91.167.27.25491.167.27.255126
5791.167.28.0/2591.167.28.1 to 91.167.28.12691.167.28.127126
5891.167.28.128/2591.167.28.129 to 91.167.28.25491.167.28.255126
5991.167.29.0/2591.167.29.1 to 91.167.29.12691.167.29.127126
6091.167.29.128/2591.167.29.129 to 91.167.29.25491.167.29.255126
6191.167.30.0/2591.167.30.1 to 91.167.30.12691.167.30.127126
6291.167.30.128/2591.167.30.129 to 91.167.30.25491.167.30.255126
6391.167.31.0/2591.167.31.1 to 91.167.31.12691.167.31.127126
6491.167.31.128/2591.167.31.129 to 91.167.31.25491.167.31.255126
6591.167.32.0/2591.167.32.1 to 91.167.32.12691.167.32.127126
6691.167.32.128/2591.167.32.129 to 91.167.32.25491.167.32.255126
6791.167.33.0/2591.167.33.1 to 91.167.33.12691.167.33.127126
6891.167.33.128/2591.167.33.129 to 91.167.33.25491.167.33.255126
6991.167.34.0/2591.167.34.1 to 91.167.34.12691.167.34.127126
7091.167.34.128/2591.167.34.129 to 91.167.34.25491.167.34.255126
7191.167.35.0/2591.167.35.1 to 91.167.35.12691.167.35.127126
7291.167.35.128/2591.167.35.129 to 91.167.35.25491.167.35.255126
7391.167.36.0/2591.167.36.1 to 91.167.36.12691.167.36.127126
7491.167.36.128/2591.167.36.129 to 91.167.36.25491.167.36.255126
7591.167.37.0/2591.167.37.1 to 91.167.37.12691.167.37.127126
7691.167.37.128/2591.167.37.129 to 91.167.37.25491.167.37.255126
7791.167.38.0/2591.167.38.1 to 91.167.38.12691.167.38.127126
7891.167.38.128/2591.167.38.129 to 91.167.38.25491.167.38.255126
7991.167.39.0/2591.167.39.1 to 91.167.39.12691.167.39.127126
8091.167.39.128/2591.167.39.129 to 91.167.39.25491.167.39.255126
8191.167.40.0/2591.167.40.1 to 91.167.40.12691.167.40.127126
8291.167.40.128/2591.167.40.129 to 91.167.40.25491.167.40.255126
8391.167.41.0/2591.167.41.1 to 91.167.41.12691.167.41.127126
8491.167.41.128/2591.167.41.129 to 91.167.41.25491.167.41.255126
8591.167.42.0/2591.167.42.1 to 91.167.42.12691.167.42.127126
8691.167.42.128/2591.167.42.129 to 91.167.42.25491.167.42.255126
8791.167.43.0/2591.167.43.1 to 91.167.43.12691.167.43.127126
8891.167.43.128/2591.167.43.129 to 91.167.43.25491.167.43.255126
8991.167.44.0/2591.167.44.1 to 91.167.44.12691.167.44.127126
9091.167.44.128/2591.167.44.129 to 91.167.44.25491.167.44.255126
9191.167.45.0/2591.167.45.1 to 91.167.45.12691.167.45.127126
9291.167.45.128/2591.167.45.129 to 91.167.45.25491.167.45.255126
9391.167.46.0/2591.167.46.1 to 91.167.46.12691.167.46.127126
9491.167.46.128/2591.167.46.129 to 91.167.46.25491.167.46.255126
9591.167.47.0/2591.167.47.1 to 91.167.47.12691.167.47.127126
9691.167.47.128/2591.167.47.129 to 91.167.47.25491.167.47.255126
9791.167.48.0/2591.167.48.1 to 91.167.48.12691.167.48.127126
9891.167.48.128/2591.167.48.129 to 91.167.48.25491.167.48.255126
9991.167.49.0/2591.167.49.1 to 91.167.49.12691.167.49.127126
10091.167.49.128/2591.167.49.129 to 91.167.49.25491.167.49.255126
10191.167.50.0/2591.167.50.1 to 91.167.50.12691.167.50.127126
10291.167.50.128/2591.167.50.129 to 91.167.50.25491.167.50.255126
10391.167.51.0/2591.167.51.1 to 91.167.51.12691.167.51.127126
10491.167.51.128/2591.167.51.129 to 91.167.51.25491.167.51.255126
10591.167.52.0/2591.167.52.1 to 91.167.52.12691.167.52.127126
10691.167.52.128/2591.167.52.129 to 91.167.52.25491.167.52.255126
10791.167.53.0/2591.167.53.1 to 91.167.53.12691.167.53.127126
10891.167.53.128/2591.167.53.129 to 91.167.53.25491.167.53.255126
10991.167.54.0/2591.167.54.1 to 91.167.54.12691.167.54.127126
11091.167.54.128/2591.167.54.129 to 91.167.54.25491.167.54.255126
11191.167.55.0/2591.167.55.1 to 91.167.55.12691.167.55.127126
11291.167.55.128/2591.167.55.129 to 91.167.55.25491.167.55.255126
11391.167.56.0/2591.167.56.1 to 91.167.56.12691.167.56.127126
11491.167.56.128/2591.167.56.129 to 91.167.56.25491.167.56.255126
11591.167.57.0/2591.167.57.1 to 91.167.57.12691.167.57.127126
11691.167.57.128/2591.167.57.129 to 91.167.57.25491.167.57.255126
11791.167.58.0/2591.167.58.1 to 91.167.58.12691.167.58.127126
11891.167.58.128/2591.167.58.129 to 91.167.58.25491.167.58.255126
11991.167.59.0/2591.167.59.1 to 91.167.59.12691.167.59.127126
12091.167.59.128/2591.167.59.129 to 91.167.59.25491.167.59.255126
12191.167.60.0/2591.167.60.1 to 91.167.60.12691.167.60.127126
12291.167.60.128/2591.167.60.129 to 91.167.60.25491.167.60.255126
12391.167.61.0/2591.167.61.1 to 91.167.61.12691.167.61.127126
12491.167.61.128/2591.167.61.129 to 91.167.61.25491.167.61.255126
12591.167.62.0/2591.167.62.1 to 91.167.62.12691.167.62.127126
12691.167.62.128/2591.167.62.129 to 91.167.62.25491.167.62.255126
12791.167.63.0/2591.167.63.1 to 91.167.63.12691.167.63.127126
12891.167.63.128/2591.167.63.129 to 91.167.63.25491.167.63.255126
12991.167.64.0/2591.167.64.1 to 91.167.64.12691.167.64.127126
13091.167.64.128/2591.167.64.129 to 91.167.64.25491.167.64.255126
13191.167.65.0/2591.167.65.1 to 91.167.65.12691.167.65.127126
13291.167.65.128/2591.167.65.129 to 91.167.65.25491.167.65.255126
13391.167.66.0/2591.167.66.1 to 91.167.66.12691.167.66.127126
13491.167.66.128/2591.167.66.129 to 91.167.66.25491.167.66.255126
13591.167.67.0/2591.167.67.1 to 91.167.67.12691.167.67.127126
13691.167.67.128/2591.167.67.129 to 91.167.67.25491.167.67.255126
13791.167.68.0/2591.167.68.1 to 91.167.68.12691.167.68.127126
13891.167.68.128/2591.167.68.129 to 91.167.68.25491.167.68.255126
13991.167.69.0/2591.167.69.1 to 91.167.69.12691.167.69.127126
14091.167.69.128/2591.167.69.129 to 91.167.69.25491.167.69.255126
14191.167.70.0/2591.167.70.1 to 91.167.70.12691.167.70.127126
14291.167.70.128/2591.167.70.129 to 91.167.70.25491.167.70.255126
14391.167.71.0/2591.167.71.1 to 91.167.71.12691.167.71.127126
14491.167.71.128/2591.167.71.129 to 91.167.71.25491.167.71.255126
14591.167.72.0/2591.167.72.1 to 91.167.72.12691.167.72.127126
14691.167.72.128/2591.167.72.129 to 91.167.72.25491.167.72.255126
14791.167.73.0/2591.167.73.1 to 91.167.73.12691.167.73.127126
14891.167.73.128/2591.167.73.129 to 91.167.73.25491.167.73.255126
14991.167.74.0/2591.167.74.1 to 91.167.74.12691.167.74.127126
15091.167.74.128/2591.167.74.129 to 91.167.74.25491.167.74.255126
15191.167.75.0/2591.167.75.1 to 91.167.75.12691.167.75.127126
15291.167.75.128/2591.167.75.129 to 91.167.75.25491.167.75.255126
15391.167.76.0/2591.167.76.1 to 91.167.76.12691.167.76.127126
15491.167.76.128/2591.167.76.129 to 91.167.76.25491.167.76.255126
15591.167.77.0/2591.167.77.1 to 91.167.77.12691.167.77.127126
15691.167.77.128/2591.167.77.129 to 91.167.77.25491.167.77.255126
15791.167.78.0/2591.167.78.1 to 91.167.78.12691.167.78.127126
15891.167.78.128/2591.167.78.129 to 91.167.78.25491.167.78.255126
15991.167.79.0/2591.167.79.1 to 91.167.79.12691.167.79.127126
16091.167.79.128/2591.167.79.129 to 91.167.79.25491.167.79.255126
16191.167.80.0/2591.167.80.1 to 91.167.80.12691.167.80.127126
16291.167.80.128/2591.167.80.129 to 91.167.80.25491.167.80.255126
16391.167.81.0/2591.167.81.1 to 91.167.81.12691.167.81.127126
16491.167.81.128/2591.167.81.129 to 91.167.81.25491.167.81.255126
16591.167.82.0/2591.167.82.1 to 91.167.82.12691.167.82.127126
16691.167.82.128/2591.167.82.129 to 91.167.82.25491.167.82.255126
16791.167.83.0/2591.167.83.1 to 91.167.83.12691.167.83.127126
16891.167.83.128/2591.167.83.129 to 91.167.83.25491.167.83.255126
16991.167.84.0/2591.167.84.1 to 91.167.84.12691.167.84.127126
17091.167.84.128/2591.167.84.129 to 91.167.84.25491.167.84.255126
17191.167.85.0/2591.167.85.1 to 91.167.85.12691.167.85.127126
17291.167.85.128/2591.167.85.129 to 91.167.85.25491.167.85.255126
17391.167.86.0/2591.167.86.1 to 91.167.86.12691.167.86.127126
17491.167.86.128/2591.167.86.129 to 91.167.86.25491.167.86.255126
17591.167.87.0/2591.167.87.1 to 91.167.87.12691.167.87.127126
17691.167.87.128/2591.167.87.129 to 91.167.87.25491.167.87.255126
17791.167.88.0/2591.167.88.1 to 91.167.88.12691.167.88.127126
17891.167.88.128/2591.167.88.129 to 91.167.88.25491.167.88.255126
17991.167.89.0/2591.167.89.1 to 91.167.89.12691.167.89.127126
18091.167.89.128/2591.167.89.129 to 91.167.89.25491.167.89.255126
18191.167.90.0/2591.167.90.1 to 91.167.90.12691.167.90.127126
18291.167.90.128/2591.167.90.129 to 91.167.90.25491.167.90.255126
18391.167.91.0/2591.167.91.1 to 91.167.91.12691.167.91.127126
18491.167.91.128/2591.167.91.129 to 91.167.91.25491.167.91.255126
18591.167.92.0/2591.167.92.1 to 91.167.92.12691.167.92.127126
18691.167.92.128/2591.167.92.129 to 91.167.92.25491.167.92.255126
18791.167.93.0/2591.167.93.1 to 91.167.93.12691.167.93.127126
18891.167.93.128/2591.167.93.129 to 91.167.93.25491.167.93.255126
18991.167.94.0/2591.167.94.1 to 91.167.94.12691.167.94.127126
19091.167.94.128/2591.167.94.129 to 91.167.94.25491.167.94.255126
19191.167.95.0/2591.167.95.1 to 91.167.95.12691.167.95.127126
19291.167.95.128/2591.167.95.129 to 91.167.95.25491.167.95.255126
19391.167.96.0/2591.167.96.1 to 91.167.96.12691.167.96.127126
19491.167.96.128/2591.167.96.129 to 91.167.96.25491.167.96.255126
19591.167.97.0/2591.167.97.1 to 91.167.97.12691.167.97.127126
19691.167.97.128/2591.167.97.129 to 91.167.97.25491.167.97.255126
19791.167.98.0/2591.167.98.1 to 91.167.98.12691.167.98.127126
19891.167.98.128/2591.167.98.129 to 91.167.98.25491.167.98.255126
19991.167.99.0/2591.167.99.1 to 91.167.99.12691.167.99.127126
20091.167.99.128/2591.167.99.129 to 91.167.99.25491.167.99.255126
20191.167.100.0/2591.167.100.1 to 91.167.100.12691.167.100.127126
20291.167.100.128/2591.167.100.129 to 91.167.100.25491.167.100.255126
20391.167.101.0/2591.167.101.1 to 91.167.101.12691.167.101.127126
20491.167.101.128/2591.167.101.129 to 91.167.101.25491.167.101.255126
20591.167.102.0/2591.167.102.1 to 91.167.102.12691.167.102.127126
20691.167.102.128/2591.167.102.129 to 91.167.102.25491.167.102.255126
20791.167.103.0/2591.167.103.1 to 91.167.103.12691.167.103.127126
20891.167.103.128/2591.167.103.129 to 91.167.103.25491.167.103.255126
20991.167.104.0/2591.167.104.1 to 91.167.104.12691.167.104.127126
21091.167.104.128/2591.167.104.129 to 91.167.104.25491.167.104.255126
21191.167.105.0/2591.167.105.1 to 91.167.105.12691.167.105.127126
21291.167.105.128/2591.167.105.129 to 91.167.105.25491.167.105.255126
21391.167.106.0/2591.167.106.1 to 91.167.106.12691.167.106.127126
21491.167.106.128/2591.167.106.129 to 91.167.106.25491.167.106.255126
21591.167.107.0/2591.167.107.1 to 91.167.107.12691.167.107.127126
21691.167.107.128/2591.167.107.129 to 91.167.107.25491.167.107.255126
21791.167.108.0/2591.167.108.1 to 91.167.108.12691.167.108.127126
21891.167.108.128/2591.167.108.129 to 91.167.108.25491.167.108.255126
21991.167.109.0/2591.167.109.1 to 91.167.109.12691.167.109.127126
22091.167.109.128/2591.167.109.129 to 91.167.109.25491.167.109.255126
22191.167.110.0/2591.167.110.1 to 91.167.110.12691.167.110.127126
22291.167.110.128/2591.167.110.129 to 91.167.110.25491.167.110.255126
22391.167.111.0/2591.167.111.1 to 91.167.111.12691.167.111.127126
22491.167.111.128/2591.167.111.129 to 91.167.111.25491.167.111.255126
22591.167.112.0/2591.167.112.1 to 91.167.112.12691.167.112.127126
22691.167.112.128/2591.167.112.129 to 91.167.112.25491.167.112.255126
22791.167.113.0/2591.167.113.1 to 91.167.113.12691.167.113.127126
22891.167.113.128/2591.167.113.129 to 91.167.113.25491.167.113.255126
22991.167.114.0/2591.167.114.1 to 91.167.114.12691.167.114.127126
23091.167.114.128/2591.167.114.129 to 91.167.114.25491.167.114.255126
23191.167.115.0/2591.167.115.1 to 91.167.115.12691.167.115.127126
23291.167.115.128/2591.167.115.129 to 91.167.115.25491.167.115.255126
23391.167.116.0/2591.167.116.1 to 91.167.116.12691.167.116.127126
23491.167.116.128/2591.167.116.129 to 91.167.116.25491.167.116.255126
23591.167.117.0/2591.167.117.1 to 91.167.117.12691.167.117.127126
23691.167.117.128/2591.167.117.129 to 91.167.117.25491.167.117.255126
23791.167.118.0/2591.167.118.1 to 91.167.118.12691.167.118.127126
23891.167.118.128/2591.167.118.129 to 91.167.118.25491.167.118.255126
23991.167.119.0/2591.167.119.1 to 91.167.119.12691.167.119.127126
24091.167.119.128/2591.167.119.129 to 91.167.119.25491.167.119.255126
24191.167.120.0/2591.167.120.1 to 91.167.120.12691.167.120.127126
24291.167.120.128/2591.167.120.129 to 91.167.120.25491.167.120.255126
24391.167.121.0/2591.167.121.1 to 91.167.121.12691.167.121.127126
24491.167.121.128/2591.167.121.129 to 91.167.121.25491.167.121.255126
24591.167.122.0/2591.167.122.1 to 91.167.122.12691.167.122.127126
24691.167.122.128/2591.167.122.129 to 91.167.122.25491.167.122.255126
24791.167.123.0/2591.167.123.1 to 91.167.123.12691.167.123.127126
24891.167.123.128/2591.167.123.129 to 91.167.123.25491.167.123.255126
24991.167.124.0/2591.167.124.1 to 91.167.124.12691.167.124.127126
25091.167.124.128/2591.167.124.129 to 91.167.124.25491.167.124.255126
25191.167.125.0/2591.167.125.1 to 91.167.125.12691.167.125.127126
25291.167.125.128/2591.167.125.129 to 91.167.125.25491.167.125.255126
25391.167.126.0/2591.167.126.1 to 91.167.126.12691.167.126.127126
25491.167.126.128/2591.167.126.129 to 91.167.126.25491.167.126.255126
25591.167.127.0/2591.167.127.1 to 91.167.127.12691.167.127.127126
25691.167.127.128/2591.167.127.129 to 91.167.127.25491.167.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses